Results 1 to 5 of 5

Thread: Is it just me or is Firefox really terrible on opensuse?

  1. #1
    WereTaco NNTP User

    Exclamation Is it just me or is Firefox really terrible on opensuse?

    I've had numerous different issues while running firefox, one when enabling and disabling scripts on the fly with noscript firefox will ALWAYS crash, not only will it crash it will freeze up my entire system and I'll have to hard reboot.

    Another prominent issue I've had with firefox is I constantly need to ps - kill firefox because it never closes gracefully.

    I tried using adblock addon as well with opensuse's firefox and it also gives me issues.

    Theme support is a problem too, most web elements and backgrounds etc are made for a white background, so when I try to use a black theme stuff doesn't show up well but this a problem with windows and how the elements were coded I suppose.

    Overall my experience with firefox and suse is pretty bad and suggestions on how I can make it better would be appreciated

  2. #2
    Join Date
    Aug 2008
    Location
    Seattle, WA
    Posts
    1,376

    Default Re: Is it just me or is Firefox really terrible on opensuse?

    You don't say which version of FF/openSUSE you are using. I have Firefox 3.5 running on openSUSE 11.1, including NoScript, with no issues. Try running FF in a different account, and see if you have the same problem there.

    If there is no problem in the other account, try replacing your ~/.mozilla directory (close Firefox, rename the directory, start Firefox again.) Doing this, you will have to back up your bookmarks and install your add-ons again.

    If the problem is the same in the other account, give some information such as your versions and the repo you are using to download and install Firefox.

  3. #3
    Join Date
    Jan 2009
    Location
    Toronto, Ontario
    Posts
    188

    Default Re: Is it just me or is Firefox really terrible on opensuse?

    WereTaco wrote:

    >
    > I've had numerous different issues while running firefox, one when
    > enabling and disabling scripts on the fly with noscript firefox will
    > ALWAYS crash, not only will it crash it will freeze up my entire system
    > and I'll have to hard reboot.
    >
    > Another prominent issue I've had with firefox is I constantly need to
    > ps - kill firefox because it never closes gracefully.
    >
    > I tried using adblock addon as well with opensuse's firefox and it also
    > gives me issues.
    >
    > Theme support is a problem too, most web elements and backgrounds etc
    > are made for a white background, so when I try to use a black theme
    > stuff doesn't show up well but this a problem with windows and how the
    > elements were coded I suppose.
    >
    > Overall my experience with firefox and suse is pretty bad and
    > suggestions on how I can make it better would be appreciated
    >
    >

    Hiya,

    You may find that disabling ipv6 in Yast helps with performance.
    Yast-->Network Devices-->Network Settings-->Global Options

    then un-check Enable IPv6.

    --
    kev.

  4. #4
    WereTaco NNTP User

    Default Re: Is it just me or is Firefox really terrible on opensuse?

    Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.0.13) Gecko/2009080200 SUSE/3.0.13-0.1.2 Firefox/3.0.13

    and opensuse 11.1

    I uninstalled and reinstalled before posting although I didn't delete the app data area. The repository I used was the default in yast

    I didn't notice that the package on the repo was so dated, I'll try building the new version and see how it goes

  5. #5

    Default Re: Is it just me or is Firefox really terrible on opensuse?

    -----BEGIN PGP SIGNED MESSAGE-----
    Hash: SHA1

    3.5.1 is available from the OpenSuse Build Service (OBS) located here...
    just search for MozillaFirefox and you can use 3.5.1 or 3.5.2 now:
    http://software.opensuse.org/search

    Good luck.





    WereTaco wrote:
    > Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.0.13) Gecko/2009080200
    > SUSE/3.0.13-0.1.2 Firefox/3.0.13
    >
    > and opensuse 11.1
    >
    > I uninstalled and reinstalled before posting although I didn't delete
    > the app data area. The repository I used was the default in yast
    >
    > I didn't notice that the package on the repo was so dated, I'll try
    > building the new version and see how it goes
    >
    >

    -----BEGIN PGP SIGNATURE-----
    Version: GnuPG v2.0.9 (GNU/Linux)
    Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

    iQIcBAEBAgAGBQJKn8P1AAoJEF+XTK08PnB5Pd8QALYN7AZzRtgQa/pOso/XS2/G
    95wRTBL4ngfNE4+nLca0DBH8c65xMm10aJOqq60bHnYHgw+lja2s/QwUNoX5qaZW
    M4Bz810KShx8TGPU/B9WT59u3wI621EAbAsC+mXACUD0lqgcsqnc3aLPZCjK3gRf
    /5NqX0rhEKDfpiBd5XAMXIh7ONK1ZR5gWbIMNGVhtcGyf0Iw4oyaa2ISoAZ6jrp6
    LgG522eQT5HCwZkxXhM9E1RgUlCub5UswPwV40BDDnuSt7KNz1kcD/4zNpvZnDoG
    754cPjGCNQNuBP5b+TRLLn6y8G21ic54kQwTwJ853F6j9Bjkqgtj+4UIHl8kqGvH
    4cBjP0r1995P+XvQurcX8043nzbt9xE/BPJ89tc5Tb9LGfWiZtv05ipLlJT945/E
    sDrvpPPiXjZcyNB9IoVL+1Tk3qQrvWLZGX93oKZReVI0rv5Dq+lUFjABjz8mbqG4
    kSMlEvR1b135Rf8OV3U+gsMQD/+uMqTmNiFvd1mmGoAMDRCQtl1a3QMsX3At8e/V
    uAVBl9KDjIB9BPJMWDE8D73quGzn/bBTVdLGjj51wowoJSy537/UC7Dt2V6p3VQv
    YzENHPCzIT6DB35uoF+wOkq3fXDcfukEiMcc2S/snDXXsc8t6XiOCXFj1txuLI/y
    DxH8m6jw7kVEMOrF2VmP
    =ZJ5e
    -----END PGP SIGNATURE-----

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •